# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%define oversion 21.1

Name:		eric6
Version:	21.01
Release:	%mkrel 1
Summary:	A Python 3 IDE
Group:		Development/Python
License:	GPLv3+
URL:		http://eric-ide.python-projects.org/
Source0:	http://downloads.sourceforge.net/eric-ide/%{name}-%{oversion}.tar.gz
Source1:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-de-%{oversion}.tar.gz
Source2:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-ru-%{oversion}.tar.gz
Source3:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-es-%{oversion}.tar.gz
Source4:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-en-%{oversion}.tar.gz

BuildRequires:	python3-devel
BuildRequires:	python3-sip-devel
BuildRequires:	python3-qt5-devel
BuildRequires:	python3-qt5-qscintilla
BuildRequires:	python3-qt5-chart
BuildRequires:	python3-qt5-webenginecore
BuildRequires:  python3-qt5-webenginewidgets
BuildRequires:	qscintilla-qt5-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires:	python3-qt5-qscintilla
Requires:	python3-qt5-chart
Requires:	python3-qt5-webenginecore
Requires:	python3-qt5-webenginewidgets
Requires:	python3-pysvn

%description
Eric is a full featured Python and Ruby editor and IDE, written in python 3.
It is based on the cross platform Qt gui toolkit, integrating the highly
flexible Scintilla editor control.
It is designed to be usable as everdays' quick and dirty editor as well
as being usable as a professional project management tool integrating many
advanced features Python offers the professional coder.

%prep
%setup -q -n %{name}-%{oversion}
%setup -q -n %{name}-%{oversion} -D -T -b 1
%setup -q -n %{name}-%{oversion} -D -T -b 2
%setup -q -n %{name}-%{oversion} -D -T -b 3
%setup -q -n %{name}-%{oversion} -D -T -b 4
%autopatch -p1

%install
%{__python3} install.py \
	--no-info \
	--no-tools \
	-i %{buildroot} \
	-b %{_bindir} \
	-d %{python3_sitelib} \
	-a %{_qt5_datadir}/qsci/api

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{128x128,64x64,48x48,32x32,16x16}/apps

convert -scale 128 %{buildroot}%{_datadir}/pixmaps/eric.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/eric.png
convert -scale 64 %{buildroot}%{_datadir}/pixmaps/eric.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/eric.png
convert -scale 48 %{buildroot}%{_datadir}/pixmaps/eric.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/eric.png
convert -scale 32 %{buildroot}%{_datadir}/pixmaps/eric.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/eric.png
convert -scale 16 %{buildroot}%{_datadir}/pixmaps/eric.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/eric.png
convert -scale 48 %{buildroot}%{_datadir}/pixmaps/ericWeb.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/ericWeb.png
convert -scale 32 %{buildroot}%{_datadir}/pixmaps/ericWeb.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/ericWeb.png
convert -scale 16 %{buildroot}%{_datadir}/pixmaps/ericWeb.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/ericWeb.png

# deprecated icons
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc eric/docs/{changelog,README.rst,THANKS}
%license eric/docs/LICENSE.GPL3
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/eric*.png
%{_metainfodir}/%{name}.appdata.xml
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}plugins/
%{python3_sitelib}/%{name}config.py*
%{_qt5_datadir}/qsci/api/*/*


%changelog
* Mon Jan 04 2021 daviddavid <daviddavid> 21.01-1.mga8
+ Revision: 1668540
- new version: 21.01

* Tue Dec 29 2020 daviddavid <daviddavid> 20.12.1-1.mga8
+ Revision: 1664790
- new version: 20.12.1
- new version: 20.12
- new version: 20.11

* Thu Oct 08 2020 daviddavid <daviddavid> 20.10-1.mga8
+ Revision: 1632768
- new version: 20.10

* Mon Sep 07 2020 daviddavid <daviddavid> 20.09-1.mga8
+ Revision: 1623305
- new version: 20.09

* Sun Aug 02 2020 daviddavid <daviddavid> 20.08-1.mga8
+ Revision: 1610491
- new version: 20.08

* Sun Jul 05 2020 daviddavid <daviddavid> 20.07-1.mga8
+ Revision: 1602336
- new version: 20.07

* Tue Jun 02 2020 daviddavid <daviddavid> 20.06-1.mga8
+ Revision: 1589621
- new version: 20.06

* Mon May 04 2020 daviddavid <daviddavid> 20.05-1.mga8
+ Revision: 1578678
- new version: 20.05

* Mon Apr 06 2020 daviddavid <daviddavid> 20.04-1.mga8
+ Revision: 1565045
- new version: 20.04

* Sun Mar 08 2020 daviddavid <daviddavid> 20.03-1.mga8
+ Revision: 1554804
- new version: 20.03

* Tue Feb 18 2020 umeabot <umeabot> 20.01-2.mga8
+ Revision: 1541797
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 20.01-1.mga8
+ Revision: 1475444
- new version: 20.01

* Sun Dec 08 2019 daviddavid <daviddavid> 19.12-1.mga8
+ Revision: 1465079
- new version: 19.12

* Thu Oct 03 2019 daviddavid <daviddavid> 19.10-1.mga8
+ Revision: 1449118
- new version: 19.10

* Fri Sep 13 2019 daviddavid <daviddavid> 19.09-1.mga8
+ Revision: 1440157
- new version: 19.09
- rebuild for python3.8

* Sat Aug 03 2019 daviddavid <daviddavid> 19.08-1.mga8
+ Revision: 1427152
- new version: 19.08

* Sat Jul 27 2019 daviddavid <daviddavid> 19.07-2.mga8
+ Revision: 1424533
- rebuild for new mkspecs macros

* Sun Jul 07 2019 daviddavid <daviddavid> 19.07-1.mga8
+ Revision: 1419254
- new version: 19.07

* Mon Jul 01 2019 daviddavid <daviddavid> 19.06-1.mga8
+ Revision: 1417427
- new version: 19.06

* Sat Apr 06 2019 daviddavid <daviddavid> 19.04-1.mga7
+ Revision: 1386398
- new version: 19.04

* Mon Mar 11 2019 pterjan <pterjan> 19.03-2.mga7
+ Revision: 1374137
- Add dependencies on QtWebEngineWidgets and PyQt5.QtWebEngineCore (fixes build)

* Sun Mar 03 2019 daviddavid <daviddavid> 19.03-1.mga7
+ Revision: 1371159
- new version: 19.03

* Sun Feb 17 2019 daviddavid <daviddavid> 19.02.1-1.mga7
+ Revision: 1367848
- new version: 19.02.1

* Sat Feb 02 2019 daviddavid <daviddavid> 19.02-1.mga7
+ Revision: 1362447
- new version: 19.02

* Fri Jan 11 2019 daviddavid <daviddavid> 19.01-1.mga7
+ Revision: 1355081
- new version: 19.01

* Mon Jan 07 2019 daviddavid <daviddavid> 18.12-2.mga7
+ Revision: 1351427
- rebuild for new Python 3.7

* Sat Dec 01 2018 daviddavid <daviddavid> 18.12-1.mga7
+ Revision: 1337090
- new version: 18.12

* Thu Nov 01 2018 daviddavid <daviddavid> 18.11-1.mga7
+ Revision: 1327221
- new version: 18.11
- lang fr, it, cs, tr, pt and zh_CN are no more provided

* Sun Sep 23 2018 umeabot <umeabot> 17.12-3.mga7
+ Revision: 1297618
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 17.12-2.mga7
+ Revision: 1220187
- rebuild for new qscintilla 2.10.4

* Fri Feb 16 2018 daviddavid <daviddavid> 17.12-1.mga7
+ Revision: 1201660
- new version: 17.12

* Sat Aug 05 2017 daviddavid <daviddavid> 17.07-2.mga7
+ Revision: 1135046
- rebuild for new Python 3.6

* Tue Jul 25 2017 daviddavid <daviddavid> 17.07-1.mga7
+ Revision: 1130755
- new version: 17.07

* Sat Jan 14 2017 daviddavid <daviddavid> 17.01-1.mga6
+ Revision: 1081726
- new version: 17.01

* Sun Dec 04 2016 daviddavid <daviddavid> 16.12-1.mga6
+ Revision: 1071928
- new version: 16.12

* Sun Nov 13 2016 daviddavid <daviddavid> 16.11-1.mga6
+ Revision: 1066947
- new version: 16.11

* Tue Oct 18 2016 daviddavid <daviddavid> 6.1.10-2.mga6
+ Revision: 1061560
- fix desktop files icon not displayed in application menu entry

* Mon Oct 17 2016 daviddavid <daviddavid> 6.1.10-1.mga6
+ Revision: 1061297
- new version: 6.1.10

* Sun Feb 14 2016 umeabot <umeabot> 6.0.8-3.mga6
+ Revision: 960038
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 akien <akien> 6.0.8-2.mga6
+ Revision: 899676
- Attempt building against python3 and qscintilla-qt5
- Obsolete eric4

* Sat Aug 29 2015 fwang <fwang> 6.0.8-1.mga6
+ Revision: 870956
- fix desktop files
- update file list
- disable python bytecompile as it does not like eric bundled 3rdparty source files
- imported package eric6

